> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create standalone selling price

> Set the standalone selling price of a product on a ledger in one currency, closing its open price at the effective date and re-assessing the contracts waiting for it.



## OpenAPI

````yaml post /v1/accounting/standalone-selling-prices
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/accounting/standalone-selling-prices:
    post:
      tags:
        - Accounting > Revenue policies
      summary: Create standalone selling price
      description: >-
        Set the standalone selling price of a product on a ledger in one
        currency, closing its open price at the effective date and re-assessing
        the contracts waiting for it.
      operationId: createStandaloneSellingPrice
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateStandaloneSellingPriceCommand'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandaloneSellingPrice'
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    CreateStandaloneSellingPriceCommand:
      oneOf:
        - $ref: '#/components/schemas/CreatePerPeriodStandaloneSellingPriceCommand'
        - $ref: '#/components/schemas/CreateNonPeriodicStandaloneSellingPriceCommand'
      discriminator:
        propertyName: basis
        mapping:
          per_period: '#/components/schemas/CreatePerPeriodStandaloneSellingPriceCommand'
          per_unit_per_period: '#/components/schemas/CreatePerPeriodStandaloneSellingPriceCommand'
          per_unit: '#/components/schemas/CreateNonPeriodicStandaloneSellingPriceCommand'
          total: '#/components/schemas/CreateNonPeriodicStandaloneSellingPriceCommand'
    StandaloneSellingPrice:
      oneOf:
        - $ref: '#/components/schemas/PerPeriodStandaloneSellingPrice'
        - $ref: '#/components/schemas/NonPeriodicStandaloneSellingPrice'
      discriminator:
        propertyName: basis
        mapping:
          per_period: '#/components/schemas/PerPeriodStandaloneSellingPrice'
          per_unit_per_period: '#/components/schemas/PerPeriodStandaloneSellingPrice'
          per_unit: '#/components/schemas/NonPeriodicStandaloneSellingPrice'
          total: '#/components/schemas/NonPeriodicStandaloneSellingPrice'
    CreatePerPeriodStandaloneSellingPriceCommand:
      type: object
      properties:
        ledger_id:
          type: string
          minLength: 1
          description: Identifier of the ledger the record belongs to.
          example: led_8Hq2nZ0kLm4x1P
        product_id:
          type: string
          minLength: 1
          description: Identifier of the product.
          example: itm_4Ha7Gk2Lm9xQ1z
        currency:
          type: string
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: Currency of the price.
          example: EUR
        amount:
          type: number
          minimum: 0
          description: >-
            Standalone selling price, per the basis. Expressed in currency's
            smallest unit.
          example: 1200000
        basis:
          type: string
          enum:
            - per_period
            - per_unit_per_period
          description: >-
            What the amount is for: one interval whatever the quantity
            (`per_period`), one unit over one interval (`per_unit_per_period`),
            one consumed unit (`per_unit`), or the whole contract term
            (`total`).
        interval_period:
          type: string
          enum:
            - days
            - weeks
            - quarters
            - months
            - years
            - once
            - all
          description: >-
            Interval unit of the per-period basis (`per_period`,
            `per_unit_per_period`); the other bases take no interval.
        interval_count:
          type: integer
          exclusiveMinimum: 0
          description: >-
            Number of interval units of the per-period basis, at least 1; the
            other bases take no interval.
        evidence_method:
          type: string
          enum:
            - observable_price
            - adjusted_market_assessment
            - expected_cost_plus_margin
            - residual
          description: >-
            How the price was established: observable price, adjusted market
            assessment, expected cost plus margin, or residual approach.
        evidence_note:
          type:
            - string
            - 'null'
          description: Free-text justification of the price, or null.
        effective_from:
          type: string
          format: date-time
          description: >-
            From when the price applies. A new price closes the open price of
            the same product and currency on this date.
          example: '2026-01-01T00:00:00Z'
      required:
        - ledger_id
        - product_id
        - currency
        - amount
        - basis
        - interval_period
        - interval_count
        - evidence_method
        - effective_from
      additionalProperties: false
      title: Per period
    CreateNonPeriodicStandaloneSellingPriceCommand:
      type: object
      properties:
        ledger_id:
          type: string
          minLength: 1
          description: Identifier of the ledger the record belongs to.
          example: led_8Hq2nZ0kLm4x1P
        product_id:
          type: string
          minLength: 1
          description: Identifier of the product.
          example: itm_4Ha7Gk2Lm9xQ1z
        currency:
          type: string
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: Currency of the price.
          example: EUR
        amount:
          type: number
          minimum: 0
          description: >-
            Standalone selling price, per the basis. Expressed in currency's
            smallest unit.
          example: 1200000
        basis:
          type: string
          enum:
            - per_unit
            - total
          description: >-
            What the amount is for: one interval whatever the quantity
            (`per_period`), one unit over one interval (`per_unit_per_period`),
            one consumed unit (`per_unit`), or the whole contract term
            (`total`).
        evidence_method:
          type: string
          enum:
            - observable_price
            - adjusted_market_assessment
            - expected_cost_plus_margin
            - residual
          description: >-
            How the price was established: observable price, adjusted market
            assessment, expected cost plus margin, or residual approach.
        evidence_note:
          type:
            - string
            - 'null'
          description: Free-text justification of the price, or null.
        effective_from:
          type: string
          format: date-time
          description: >-
            From when the price applies. A new price closes the open price of
            the same product and currency on this date.
          example: '2026-01-01T00:00:00Z'
      required:
        - ledger_id
        - product_id
        - currency
        - amount
        - basis
        - evidence_method
        - effective_from
      additionalProperties: false
      title: Per unit or total
    PerPeriodStandaloneSellingPrice:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the standalone selling price.
          example: ssp_5Tk9Qa2Lm7x0Rb
        ledger_id:
          type: string
          description: Identifier of the ledger the record belongs to.
          example: led_8Hq2nZ0kLm4x1P
        product_id:
          type: string
          description: Identifier of the product.
          example: itm_4Ha7Gk2Lm9xQ1z
        currency:
          type: string
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: Currency of the price.
          example: EUR
        amount:
          type: number
          description: >-
            Standalone selling price, per the basis. Expressed in currency's
            smallest unit.
          example: 1200000
        basis:
          type: string
          enum:
            - per_period
            - per_unit_per_period
          description: >-
            What the amount is for: one interval whatever the quantity
            (`per_period`), one unit over one interval (`per_unit_per_period`),
            one consumed unit (`per_unit`), or the whole contract term
            (`total`).
        interval_period:
          type: string
          enum:
            - days
            - weeks
            - quarters
            - months
            - years
            - once
            - all
          description: >-
            Interval unit of the per-period basis (`per_period`,
            `per_unit_per_period`); the other bases take no interval.
        interval_count:
          type: integer
          exclusiveMinimum: 0
          description: >-
            Number of interval units of the per-period basis, at least 1; the
            other bases take no interval.
        evidence_method:
          type: string
          enum:
            - observable_price
            - adjusted_market_assessment
            - expected_cost_plus_margin
            - residual
          description: >-
            How the price was established: observable price, adjusted market
            assessment, expected cost plus margin, or residual approach.
        evidence_note:
          type:
            - string
            - 'null'
          description: Free-text justification of the price, or null.
        effective_from:
          type: string
          format: date-time
          description: >-
            From when the price applies. A new price closes the open price of
            the same product and currency on this date.
          example: '2026-01-01T00:00:00Z'
        effective_to:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            When a later price replaced this one, or null while it is the
            current price.
          example: '2024-12-20T16:04:11Z'
        created_by_user_id:
          type:
            - string
            - 'null'
          description: >-
            User who created the record, or null when it was created with an API
            key.
        created_at:
          type: string
          format: date-time
          description: When the record was created.
          example: '2024-12-20T16:04:11Z'
      required:
        - id
        - ledger_id
        - product_id
        - currency
        - amount
        - basis
        - interval_period
        - interval_count
        - evidence_method
        - evidence_note
        - effective_from
        - effective_to
        - created_by_user_id
        - created_at
      additionalProperties: false
      title: Per period
    NonPeriodicStandaloneSellingPrice:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the standalone selling price.
          example: ssp_5Tk9Qa2Lm7x0Rb
        ledger_id:
          type: string
          description: Identifier of the ledger the record belongs to.
          example: led_8Hq2nZ0kLm4x1P
        product_id:
          type: string
          description: Identifier of the product.
          example: itm_4Ha7Gk2Lm9xQ1z
        currency:
          type: string
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: Currency of the price.
          example: EUR
        amount:
          type: number
          description: >-
            Standalone selling price, per the basis. Expressed in currency's
            smallest unit.
          example: 1200000
        basis:
          type: string
          enum:
            - per_unit
            - total
          description: >-
            What the amount is for: one interval whatever the quantity
            (`per_period`), one unit over one interval (`per_unit_per_period`),
            one consumed unit (`per_unit`), or the whole contract term
            (`total`).
        evidence_method:
          type: string
          enum:
            - observable_price
            - adjusted_market_assessment
            - expected_cost_plus_margin
            - residual
          description: >-
            How the price was established: observable price, adjusted market
            assessment, expected cost plus margin, or residual approach.
        evidence_note:
          type:
            - string
            - 'null'
          description: Free-text justification of the price, or null.
        effective_from:
          type: string
          format: date-time
          description: >-
            From when the price applies. A new price closes the open price of
            the same product and currency on this date.
          example: '2026-01-01T00:00:00Z'
        effective_to:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            When a later price replaced this one, or null while it is the
            current price.
          example: '2024-12-20T16:04:11Z'
        created_by_user_id:
          type:
            - string
            - 'null'
          description: >-
            User who created the record, or null when it was created with an API
            key.
        created_at:
          type: string
          format: date-time
          description: When the record was created.
          example: '2024-12-20T16:04:11Z'
      required:
        - id
        - ledger_id
        - product_id
        - currency
        - amount
        - basis
        - evidence_method
        - evidence_note
        - effective_from
        - effective_to
        - created_by_user_id
        - created_at
      additionalProperties: false
      title: Per unit or total
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.